Summary: Desktop backgrounds packaged with the GNOME desktop
Name:    gnome-backgrounds
Version: 43
Release: 4%{?dist}
License: CC-BY-SA
URL:     https://gitlab.gnome.org/GNOME/gnome-backgrounds
Source0: https://download.gnome.org/sources/%{name}/43/%{name}-%{version}.tar.xz

BuildRequires: meson
BuildRequires: gettext
Requires: (librsvg2 if gdk-pixbuf2)
Requires: (webp-pixbuf-loader if gdk-pixbuf2)

BuildArch: noarch

%description
This package provides the default desktop background, known as the Adwaita background, for 
the GNOME Desktop version

%package        extras
Summary:        Additional GNOME Backgrounds
Requires:       %{name} = %{version}-%{release}

%description    extras
This package provides the additional desktop backgrounds which are packaged with the GNOME desktop.

%prep
%autosetup

%build
%meson
%meson_build

%install
%meson_install

mkdir -p %{buildroot}%{_datadir}/backgrounds/images
rm -rf %{buildroot}%{_datadir}/locale

%files
%license COPYING
%doc AUTHORS NEWS README.md
%{_datadir}/gnome-background-properties/adwaita.xml
%{_datadir}/gnome-background-properties/blobs.xml
%{_datadir}/gnome-background-properties/drool.xml
%{_datadir}/gnome-background-properties/grid.xml
%{_datadir}/gnome-background-properties/licorice.xml
%{_datadir}/gnome-background-properties/truchet.xml
%{_datadir}/backgrounds/gnome/adwaita-d.webp
%{_datadir}/backgrounds/gnome/adwaita-l.webp
%{_datadir}/backgrounds/gnome/blobs-d.svg
%{_datadir}/backgrounds/gnome/blobs-l.svg
%{_datadir}/backgrounds/gnome/drool-d.svg
%{_datadir}/backgrounds/gnome/drool-l.svg
%{_datadir}/backgrounds/gnome/grid-d.webp
%{_datadir}/backgrounds/gnome/grid-l.webp
%{_datadir}/backgrounds/gnome/licorice-d.webp
%{_datadir}/backgrounds/gnome/licorice-l.webp
%{_datadir}/backgrounds/gnome/truchet-d.webp
%{_datadir}/backgrounds/gnome/truchet-l.webp

%files extras
%{_datadir}/gnome-background-properties/dune.xml
%{_datadir}/gnome-background-properties/field.xml
%{_datadir}/gnome-background-properties/oceans.xml
%{_datadir}/gnome-background-properties/pixels.xml
%{_datadir}/gnome-background-properties/symbolic.xml
%{_datadir}/gnome-background-properties/vnc.xml
%{_datadir}/gnome-background-properties/wood.xml
%{_datadir}/backgrounds/gnome/dune-d.svg
%{_datadir}/backgrounds/gnome/dune-l.svg
%{_datadir}/backgrounds/gnome/field-d.svg
%{_datadir}/backgrounds/gnome/field-l.svg
%{_datadir}/backgrounds/gnome/oceans.svg
%{_datadir}/backgrounds/gnome/pixels-d.webp
%{_datadir}/backgrounds/gnome/pixels-l.webp
%{_datadir}/backgrounds/gnome/symbolic-d.webp
%{_datadir}/backgrounds/gnome/symbolic-l.webp
%{_datadir}/backgrounds/gnome/vnc-d.webp
%{_datadir}/backgrounds/gnome/vnc-l.webp
%{_datadir}/backgrounds/gnome/wood-d.webp
%{_datadir}/backgrounds/gnome/wood-l.webp

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 43-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 Wang Guodong <gordonwwang@tencent.com> - 43-1
- package init.
